org.apache.jmeter.modifiers

## Class UserParameters

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.modifiers.UserParameters

All Implemented Interfaces:
  Serializable, Cloneable, LoopIterationListener, Searchable, PreProcessor, TestElement

    public class UserParameters
    extends AbstractTestElement
    implements Serializable, PreProcessor, LoopIterationListener

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `NAMES`
`static String` `PER_ITERATION`
`static String` `THREAD_VALUES`

### Fields inherited from interface org.apache.jmeter.testelement.TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`UserParameters()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `clone()` A new instance is created for each thread group, and the clone() method is then called to create copies for each thread in a thread group.
`CollectionProperty` `getNames()`
`CollectionProperty` `getThreadLists()`
`boolean` `isPerIteration()`
`void` `iterationStart(LoopIterationEvent event)` Called when a loop iteration is about to start.
`void` `process()`
`void` `setNames(Collection<?> list)` The list of names of the variables to hold values.
`void` `setNames(CollectionProperty list)` The list of names of the variables to hold values.
`void` `setPerIteration(boolean perIter)`
`void` `setThreadLists(Collection<?> threadLists)` The thread list is a list of lists.
`void` `setThreadLists(CollectionProperty threadLists)` The thread list is a list of lists.

### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.testelement.TestElement

`removed`

### Field Detail

#### NAMES

    public static final String NAMES

See Also:
  Constant Field Values

#### THREAD_VALUES

    public static final String THREAD_VALUES

See Also:
  Constant Field Values

#### PER_ITERATION

    public static final String PER_ITERATION

See Also:
  Constant Field Values

### Constructor Detail

#### UserParameters

    public UserParameters()

### Method Detail

#### getNames

    public CollectionProperty getNames()

#### getThreadLists

    public CollectionProperty getThreadLists()

#### setNames

    public void setNames(Collection<?> list)

The list of names of the variables to hold values. This list must come in the same order as the sub lists that are given to `setThreadLists(Collection)`.

Parameters:
  `list` - The ordered list of names

#### setNames

    public void setNames(CollectionProperty list)

The list of names of the variables to hold values. This list must come in the same order as the sub lists that are given to `setThreadLists(CollectionProperty)`.

Parameters:
  `list` - The ordered list of names

#### setThreadLists

    public void setThreadLists(Collection<?> threadLists)

The thread list is a list of lists. Each list within the parent list is a collection of values for a simulated user. As many different sets of values can be supplied in this fashion to cause JMeter to set different values to variables for different test threads.

Parameters:
  `threadLists` - The list of lists of values for each user thread

#### setThreadLists

    public void setThreadLists(CollectionProperty threadLists)

The thread list is a list of lists. Each list within the parent list is a collection of values for a simulated user. As many different sets of values can be supplied in this fashion to cause JMeter to set different values to variables for different test threads.

Parameters:
  `threadLists` - The list of lists of values for each user thread

#### isPerIteration

    public boolean isPerIteration()

#### setPerIteration

    public void setPerIteration(boolean perIter)

#### process

    public void process()

Specified by:
  `process` in interface `PreProcessor`

#### iterationStart

    public void iterationStart(LoopIterationEvent event)

Description copied from interface: `LoopIterationListener`
Called when a loop iteration is about to start.

Specified by:
  `iterationStart` in interface `LoopIterationListener`
Parameters:
  `event` - the event
See Also:
  `LoopIterationListener.iterationStart(LoopIterationEvent)`

#### clone

    public Object clone()

A new instance is created for each thread group, and the clone() method is then called to create copies for each thread in a thread group. This means that the lock object is common to all instances

Specified by:
  `clone` in interface `TestElement`
Overrides:
  `clone` in class `AbstractTestElement`
See Also:
  `Object.clone()`